<ion-header>
  <ion-toolbar>
    <ion-title>
      Buscar peliculas
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-toolbar>
  <ion-searchbar placeholder="Buscar pelicula" animated (ionChange)="buscar($event)" [debounce]="700"
    [value]="textoBuscar"></ion-searchbar>
</ion-toolbar>

<ion-content>

  <ion-grid fixed *ngIf="buscando">
    <ion-row>
      <ion-col text-center>
        <ion-spinner name="crescent"></ion-spinner>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-list *ngIf="peliculas.length === 0">
    <ion-list-header>
      <ion-label>Ideas</ion-label>
    </ion-list-header>

    <ion-item (click)="textoBuscar = item.original_title" *ngFor="let item of recomendaciones ">
      <ion-label color="primary"> {{item.original_title}} </ion-label>
    </ion-item>
  </ion-list>

  <ion-grid fixed>
    <ion-row>
      <ion-col size="6" *ngFor="let pelicula of peliculas">
        <ion-card (click)="verDetalle(pelicula.id )">
          <img [src]="pelicula.poster_path | imagen " alt="">
          <ion-card-header>
            <ion-card-subtitle> {{pelicula.release_date}} </ion-card-subtitle>
          </ion-card-header>
          <ion-card-content>
            <h2> {{pelicula.title}} </h2>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

</ion-content>